﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ColorPickerSample
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();

            this.Loaded += new RoutedEventHandler(Page_Loaded);
        }

        void Page_Loaded(object sender, RoutedEventArgs e)
        {
            colorBoxC.Color = Color.FromArgb(0xFF, 0x1D, 0x1D, 0x1D);
            colorBoxHead.Color = Color.FromArgb(0xFF, 0x61, 0x6b, 0x59);
            colorBoxEar.Color = Color.FromArgb(0xFF, 0x73, 0x53, 0x53);
        }

        private void colorBoxC_ColorChanged(object sender, EventArgs e)
        {
            LayoutRoot.Background = new SolidColorBrush(colorBoxC.Color);
        }

        private void colorBoxHead_ColorChanged(object sender, EventArgs e)
        {
            head.Fill = new SolidColorBrush(colorBoxHead.Color);
        }

        private void colorBoxEar_ColorChanged(object sender, EventArgs e)
        {
            leftEar.Fill = new SolidColorBrush(colorBoxEar.Color);
            rightEar.Fill = new SolidColorBrush(colorBoxEar.Color);
        }
    }
}
